Package org.apache.nutch.service.model.request

## Class NutchConfig

- java.lang.Object
- - org.apache.nutch.service.model.request.NutchConfig

-     public class NutchConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NutchConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getConfigId()` |
    `Map<String,​String>` | `getParams()` |
    `boolean` | `isForce()` |
    `void` | `setConfigId​(String configId)` |
    `void` | `setForce​(boolean force)` |
    `void` | `setParams​(Map<String,​String> params)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchConfig

          public NutchConfig()

  - ### Method Detail

    - #### getParams

          public Map<String,​String> getParams()

    - #### setParams

          public void setParams​(Map<String,​String> params)

    - #### getConfigId

          public String getConfigId()

    - #### setConfigId

          public void setConfigId​(String configId)

    - #### isForce

          public boolean isForce()

    - #### setForce

          public void setForce​(boolean force)